## ros-noetic-rqt-pr2-dashboard 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_pr2_dashboard)
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_pr2_dashboard
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-pr2-dashboard (0.4.0-1focal) focal; urgency=high

  * fix for kinetic (fix Qt path) #19 <https://github.com/pr2/rqt_pr2_dashboard/issues/19>
  * Contributors: Furushchev

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Mon, 05 Feb 2018 08:00:00 -0000

ros-noetic-rqt-pr2-dashboard (0.2.7-1focal) focal; urgency=high

  * Merge pull request #17 <https://github.com/pr2/rqt_pr2_dashboard/issues/17> from jstnhuang/hydro-devel
    Hydro migration: pr2_etherCAT -> pr2_ethercat
  * Hydro migration: pr2_etherCAT -> pr2_ethercat
  * Contributors: Devon Ash, Justin Huang

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Tue, 05 May 2015 07:00:00 -0000

ros-noetic-rqt-pr2-dashboard (0.2.6-1focal) focal; urgency=high

  * update maintainer (#16 <https://github.com/PR2/rqt_pr2_dashboard/issues/16>)

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Wed, 29 Oct 2014 07:00:00 -0000

ros-noetic-rqt-pr2-dashboard (0.2.5-1focal) focal; urgency=high

  * add robot groups for rqt plugins

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Wed, 08 Jan 2014 08:00:00 -0000

ros-noetic-rqt-pr2-dashboard (0.2.4-1focal) focal; urgency=high

  * Catkinized version first released into public Hydro @130s

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Mon, 08 Jul 2013 07:00:00 -0000

ros-noetic-rqt-pr2-dashboard (0.2.3-1focal) focal; urgency=high

  * Fix; Can't disable breakers from dashboard #2 <https://github.com/ros-visualization/rqt_pr2_dashboard/issues/2>

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Thu, 17 Jan 2013 08:00:00 -0000

ros-noetic-rqt-pr2-dashboard (0.2.2-1focal) focal; urgency=high



 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Sun, 23 Dec 2012 08:00:00 -0000

ros-noetic-rqt-pr2-dashboard (0.2.1-1focal) focal; urgency=high

  * first release into public Groovy

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Fri, 21 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-rqt-pr2-dashboard
Section: misc
Priority: optional
Maintainer: Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/rqt_pr2_dashboard
Standards-Version: 3.9.2

Package: ros-noetic-rqt-pr2-dashboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-diagnostic-msgs, ros-noetic-pr2-msgs, ros-noetic-pr2-power-board, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py, ros-noetic-rqt-robot-dashboard, ros-noetic-std-msgs, ros-noetic-std-srvs
Description: rqt_pr2_dashboard is a GUI for debugging and controlling low-level state of the PR2.
 It shows things like battery status and breaker states, as well as integrating tools like rqt_console and robot_monitor.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-pr2-dashboard//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rqt-pr2-dashboard 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,6 @@
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )
 
-install(PROGRAMS scripts/rqt_pr2_dashboard
+catkin_install_python(PROGRAMS scripts/rqt_pr2_dashboard
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )
